GemFireSecurityException (Apache Geode 1.15.4)

org.apache.geode.security

## Class GemFireSecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.security.GemFireSecurityException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AuthenticationExpiredException, AuthenticationFailedException, AuthenticationRequiredException, NotAuthorizedException

      public class GemFireSecurityException
      extends GemFireException

  The base class for all org.apache.geode.security package related exceptions.
  Since:
    GemFire 5.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GemFireSecurityException(String message)` Constructs a new exception with the specified detail message.
    `GemFireSecurityException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
    `GemFireSecurityException(Throwable cause)` Constructs a new exception with the specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()`
    `protected Object` | `getResolvedObj()` Returns `NamingException.getResolvedObj()` if the `cause` is a `NamingException`.
    `protected boolean` | `isSerializable(Object object)` Returns true if the provided `object` implements `Serializable`.

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GemFireSecurityException

          public GemFireSecurityException(String message)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method). (A `null` value is permitted.)

    - #### GemFireSecurityException

          public GemFireSecurityException(Throwable cause)

      Constructs a new exception with the specified cause.

      Note that the detail message associated with `cause` is automatically used as this exception's detail message.

      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### GemFireSecurityException

          public GemFireSecurityException(String message,
                                          Throwable cause)

      Constructs a new exception with the specified detail message and cause.

      If `message` is null, then the detail message associated with `cause` is automatically used as this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method). (A `null` value is permitted.)
        `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Overrides:
        `getCause` in class `Throwable`

    - #### isSerializable

          protected boolean isSerializable(Object object)

      Returns true if the provided `object` implements `Serializable`.
      Parameters:
        `object` - the `object` to test for implementing `Serializable`.
      Returns:
        true if the provided `object` implements `Serializable`.

    - #### getResolvedObj

          protected Object getResolvedObj()

      Returns `NamingException.getResolvedObj()` if the `cause` is a `NamingException`. Returns `null` for any other type of `cause`.
      Returns:
        `NamingException#getResolvedObj()` if the `cause` is a `NamingException`.